#ifndef _RBA_KIC_H
#define _RBA_KIC_H

#include <sys/types.h>

#define KIC_UNDEF 0 /* UNDEF */
#define KIC_LOW 1 /* LOW */
#define KIC_TMP 2 /* TMP */
#define KIC_USER 3 /* USER */
#define KIC_SYS 4 /* SYS */
#define KIC_CORE 5 /* CORE */

#define XATTR_NAME_KIC "security.rba_kic"

struct kic_label {
	int kic_grade; // normal integrity level.
	int kic_aux; // aux integrity level. kic_aux=0 in default
};

ssize_t get_proc_kic_attr(pid_t pid, void **value);

ssize_t get_file_kic_attr(const char *path, void **value);

int set_file_kic_attr(const char *path, void *value);

#endif
